// ===========================================================================
//  (C) 1999 Vienna University of Technology
// ===========================================================================
//  NAME:       PerfTimer
//  TYPE:       c++ header
//  PROJECT:    Urban Viz/yare (yet another rendering engine)
//  CONTENT:    Wrapper for all the Performance Timers
//  VERSION:    0.1
// ===========================================================================
//  AUTHORS:    mw      Michael Wimmer
// ===========================================================================
//  HISTORY:
//
//  15-jul-99 14:00:00  mw      created
// ===========================================================================
//  $Header: /usr/local/cvsyare/cvsyare/include/yareutils/PerfTimer.h,v 1.1 2002/09/24 16:53:47 wimmer Exp $ 
// ===========================================================================

#ifndef NO_PRAGMA_ONCE
#pragma once
#endif

#ifndef _PERFTIMER_H
#define _PERFTIMER_H

//#define NO_RDTSC_TIMER

#ifdef WIN32
	#ifndef NO_RDTSC_TIMER
		#include "RDTSCTimer.h"
		typedef RDTSCTimer PerfTimer;
	#elif !defined(NO_BENCH_TIMER)
		#include "BenchTimer.h"
		typedef BenchTimer PerfTimer;
	#else // to get a dummy timer for compile checks without windows.h!
		#define DUMMY_TIMER
		#define PERFTIMER PerfTimer
		#include "PerfTimerSkeleton.h"
		#undef DUMMY_TIMER
		#undef PERFTIMER
	#endif
#else
	#include "SGITimer.h"
	typedef SGITimer PerfTimer;
#endif

#endif // _PERFTIMER_H
